package com.patzn.lims.res.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.res.entity.LmsProperty;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author patzn
 * @since 2018-06-21
 */
public interface ILmsPropertyService extends IBaseService<LmsProperty> {


    Page<LmsProperty> page(Page<LmsProperty> page, LmsProperty lmsProperty);


    List<LmsProperty> list(LmsProperty lmsProperty);


    Map<String ,Object> getPropertyDetailData(String type);


    String  getObjectCompareDifferent(Object one, Object old, String type, String title);


    String getCompareDifferent(Object one, Object old, String type, String title);

    String getCompareTimeFormatDifferent(Object one, Object old, String type, String title);

    String  getObjectCompareDifferent(Map<String, List<Object>> map, String title);


    List<LmsProperty> listPropertyDetailData(String type);
}
